$repo = "git.xeserv.us/xena/vyvanse"
$gover = "1.9"

from "xena/go-mini:#{$gover}"
run "go#{$gover} download"

def foldercopy dir
  copy "#{dir}", "/root/go/src/#{$repo}/#{dir}"
end

def gobuild pkg
  run "mkdir -p /root/go/bin && cd /root/go/bin && go#{$gover} build #{$repo}/#{pkg} && go#{$gover} install #{$repo}/#{pkg}"
end

[
  "bot",
  "cmd",
  "internal",
  "vendor",
  "vendor-log",
].each { |x| foldercopy x }

[
  "cmd/vyvanse",
].each { |x| gobuild x }

cmd "/root/go/bin/vyvanse"

run "rm -rf $HOME/sdk /root/go/pkg ||:"
run "apk del go#{$gover}"
flatten

tag "xena/vyvanse"
